@use 'partials/mixins/button';

pre.wrap {
  white-space: pre-wrap;
}

.title {
  display: flex;
  justify-content: flex-start;
  align-items: center;
}

.content {
  display: flex;
}

.mat-icon.mat-warn {
  // baseline align of icon
  align-self: center;
  padding-right: 16px;
}

.action-button {
  margin-top: 12px;
  display: flex;
  justify-content: flex-end;
}

.close-button {
  display: flex;
  justify-content: flex-end;
  margin: -12px 0 -18px;
}

@mixin change-icon-button-size($button-size, $font-size) {
  width: $button-size;
  @include button.change-button-size($button-size, $font-size);
}

.mat-mdc-mini-fab.mini-24 {
  @include change-icon-button-size(24px, 22px);
}

.mat-mdc-icon-button.mini-24 {
  @include change-icon-button-size(24px, 22px);
}
